#ifndef ARRAY_H
#define ARRAY_H

#include <stdlib.h>

typedef struct ARRAY array_t;

array_t* array_alloc();
void array_free(array_t* array);

void array_add(array_t* array, void* elem);
void array_put(array_t* array, size_t index, void* elem);

void* array_get(array_t* array, size_t index);
size_t array_count(array_t* array);

#endif